Instalar el plugin Java en Ubuntu 9.10 karmic

Publicado: febrero 16, 2010 en navegadores, plugins
Etiquetas:, ,

Muchos de los que tenéis Ubuntu karmic,  habréis observado que no existe el plugin de Java en vuestro navegador, tras escribir about:plugins en la barra de direcciones. Para instalarlo debéis abrir la terminal y escribir las siguientes líneas:

sudo apt-get install sun-java6-plugin

Si estamos en una arquitectura de 32 bits:

sudo update-alternatives --install  /usr/lib/mozilla/plugins/libjavaplugin.so mozilla-javaplugin.so  /usr/lib/jvm/java-6-sun/jre/lib/i386/libnpjp2.so 50

O si estamos en Ubuntu de 64 bits (x86_64)

sudo update-alternatives --install  /usr/lib/mozilla/plugins/libjavaplugin.so mozilla-javaplugin.so /usr/lib64/jvm/java-6-sun/jre/lib/amd64/libnpjp2.so  50

En el caso de tener el navegador abierto, lo reiniciaremos para que aparezca activo el plugin. Para ver que se ha instalado escibimos about:plugins en la barra de navegación.

Anuncios
comentarios
  1. cicero dice:

    Excelente me ha ayudado a resolver mi problema, Muchas gracias.

  2. Pablo dice:

    Gracias, me sirvió para poder dejar funcionando java.

  3. miguel dice:

    Hola noctuido,
    tengo un problema con los plugins de Java en FF para XP, no he encontrado un post sobre Java en XP asi que espero no te moleste que comente mi duda aqui, que me trae de caabeza pues he dado mil vueltas por google y no entiendo el erro, asi que espero me puedas ayudar a resolverlo de una vez por todas:

    esta es la solucion que lei de un problema parecido:
    tengo las tres librerias(npdeploytk.dll, npoji610.dll y npjpi160_21.dll) de java en el directorio Java\bin\… y eliminadas de Firefox\plugins\…, sin embargo al consultar about:plugins veo que no me carga el npoji610.dll ¿Como puedo arreglarlo para que me carge esa libreria?

    Por cierto, ¿porque el “Mozilla Default plug-in” esta deshabilitado por defecto?¿Debo activarlo o es “indiferente” su estado?

    Gracia noctuidos:D

    • noctuido dice:

      Hola Miguel ON. ¿Has intentado restaurar Windows Xp a un punto anterior? Es que si te faltan librerías dll y ese dices qué es el problema como no encuentres cómo reponerlas veo difícil la solución. Mi uso en Windows es residual y mi nivel va en la misma consonancia 😀

      No sé supongo que habrás intentado restaurar el plugin https://addons.mozilla.org/en-US/firefox/browse/type:7 .

      Me has pillado en Linux, cuándo vuelva de trabajar miro eso de Mozilla Default plug-in en Windows a ver.

      Saludos. 🙂

  4. miguel dice:

    Gracias por tu respuesta noctuido:D

    El problema NO son las librerias.
    Estoy probando con el plugin de nueva generacion(npjp2.dll) y desactivando el npdeploytk.dll(lei que se aconsejaba desinstalarlo en mozilla-hispano), este plugin si me lo carga 😀

    El problema es que al intentar ejecutar applets de java me dice que no tengo soporte para “x-java-vm” cuando ese soporte me lo da el plugin npjp2.dll(se ve claramente en about:plugins)

    Espero haberme explicado bien, es algo lioso.

    Gracias noctudio, saludos:D

    • CardinalDash dice:

      No se muy bien lo que intentas sinceramente, pero esta claroq ue si intentas usar una DLL, esta sale en el navegador (porque la lee del directorio) pero el sistema no te la reconoce… eso me suena a que la dll no esta registrada no?

      Prueba a registrarla desde msdos.

  5. miguel dice:

    Si, eso parece CardinalDash: aunque aparece en el navegador(about:plugins) parece que no la reconoce, pues me sigue pidiendo el plugin cuand o intento ejecutar cualquier applet java.

    Me podrias decir como registrar una DLL en MS-DOS, o alguna pagina donde informarme??

    Gracias por tu ayuda, saludos:D

  6. Erik castaño dice:

    Buenos dias. he estado leyendo sobre como instalar los plugins de firefox en ubuntu 9.10 pero actualmente poseo un problema. yo instalo jre-6u25-linux-i586 lo que sucede es q no se me actualiza la version anterior de java en los plugins de firefox escribo la siguiente ruta paraactualizarlo
    mkdir -p ~/.mozilla/plugins
    $ ln -s /usr/java/default/lib/i386/libnpjp2.so ~/.mozilla/plugins, pero al momento de verificar en el navegador aun me sale el java de la version anterior q en este caso es el java plugins 1.6.0_22. quien me ayuda.

    Gracias
    Erik Castaño

  7. Bernal Chaves r. dice:

    no puedo hacer que se activen los plugin de java en ubuntu 9.10

    • noctuido dice:

      Hola Bernal

      Hace un par de años que dejé de usar Ubuntu. La versión actual de Java es la 1.7. No sé si será por eso, ya que al menos Firefox detecta como obsoletos los plugins y los desactiva dada sus potenciales vulnerabilidades.

      Saludos. 🙂

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s